package fr.ib.nouhaila.mediathequecxf.generated;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.4.5
 * 2021-12-21T14:46:23.111+01:00
 * Generated source version: 3.4.5
 *
 */
@WebService(targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", name = "ILivreService")
@XmlSeeAlso({ObjectFactory.class})
public interface ILivreService {

    @WebMethod
    @RequestWrapper(localName = "getLivresDeLannee", targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", className = "fr.ib.nouhaila.mediathequecxf.generated.GetLivresDeLannee")
    @ResponseWrapper(localName = "getLivresDeLanneeResponse", targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", className = "fr.ib.nouhaila.mediathequecxf.generated.GetLivresDeLanneeResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.util.List<fr.ib.nouhaila.mediathequecxf.generated.Livre> getLivresDeLannee()
;

    @WebMethod
    @RequestWrapper(localName = "estEmpruntable", targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", className = "fr.ib.nouhaila.mediathequecxf.generated.EstEmpruntable")
    @ResponseWrapper(localName = "estEmpruntableResponse", targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", className = "fr.ib.nouhaila.mediathequecxf.generated.EstEmpruntableResponse")
    @WebResult(name = "return", targetNamespace = "")
    public boolean estEmpruntable(

        @WebParam(name = "arg0", targetNamespace = "")
        int arg0
    );

    @WebMethod
    @RequestWrapper(localName = "getRetour", targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", className = "fr.ib.nouhaila.mediathequecxf.generated.GetRetour")
    @ResponseWrapper(localName = "getRetourResponse", targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", className = "fr.ib.nouhaila.mediathequecxf.generated.GetRetourResponse")
    @WebResult(name = "return", targetNamespace = "")
    public javax.xml.datatype.XMLGregorianCalendar getRetour(

        @WebParam(name = "arg0", targetNamespace = "")
        int arg0
    );

    @WebMethod
    @RequestWrapper(localName = "getLivreDuMois", targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", className = "fr.ib.nouhaila.mediathequecxf.generated.GetLivreDuMois")
    @ResponseWrapper(localName = "getLivreDuMoisResponse", targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", className = "fr.ib.nouhaila.mediathequecxf.generated.GetLivreDuMoisResponse")
    @WebResult(name = "return", targetNamespace = "")
    public fr.ib.nouhaila.mediathequecxf.generated.Livre getLivreDuMois()
;

    @WebMethod
    @RequestWrapper(localName = "getInfos", targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", className = "fr.ib.nouhaila.mediathequecxf.generated.GetInfos")
    @ResponseWrapper(localName = "getInfosResponse", targetNamespace = "http://serveur.mediatheque1cxf.nouhaila.ib.fr/", className = "fr.ib.nouhaila.mediathequecxf.generated.GetInfosResponse")
    @WebResult(name = "return", targetNamespace = "")
    public java.lang.String getInfos()
;
}
